Subject: genkernel(cl-kernel) Ð½Ðµ ÑƒÐ¼ÐµÐµÑ‚ Ñ€Ð°Ð±Ð¾Ñ‚Ð°Ñ‚ÑŒ Ñ• LVM

Description: ÐŸÑ€Ð¸ Ð½Ð°Ð»Ð¸Ñ‡Ð¸Ð¸ Ð¿Ð°Ñ€Ñ‚Ð¸Ñ†Ð¸Ð¹ Ð½Ð° LVM Ð² Ñ•Ð¸Ñ•Ñ‚ÐµÐ¼Ðµ Ð¸ Ð·Ð°Ð³Ñ€ÑƒÐ·ÐºÐµ 

Ñ• Ð¿Ð°Ñ€Ð°Ð¼ÐµÑ‚Ñ€Ð¾Ð¼ Ñ•Ð´Ñ€Ð° dolvm, Ñ•Ð´Ñ€Ð¾ Ð·Ð°Ð²Ð¸Ñ•Ð°ÐµÑ‚ Ð½Ð° Ñ•Ñ‚Ð°Ð¿Ðµ lvm 

vgchange -ay --sysinit

Ð’ÐµÑ€Ð¾Ñ•Ñ‚Ð½Ð¾ Ð¿Ñ€Ð¾Ð±Ð»ÐµÐ¼Ð° Ñ•ÑƒÑ‰ÐµÑ•Ñ‚Ð²ÑƒÐµÑ‚ Ð¸Ð·-Ð·Ð° 

Ð½ÐµÐºÐ¾Ñ€Ñ€ÐµÐºÑ‚Ð½Ð¾Ð¹ Ñ€Ð°Ð±Ð¾Ñ‚Ñ‹ lvm Ñ• udev, Ñ€ÐµÑˆÐ°ÐµÑ‚Ñ•Ñ• 

Ð´Ð¾Ð¿Ð¾Ð»Ð½Ð¸Ñ‚ÐµÐ»ÑŒÐ½Ñ‹Ð¼ ÐºÐ»ÑŽÑ‡Ð¾Ð¼ --noudevsync

ÐŸÐ°Ñ‚Ñ‡ Ð½Ð° calckernel

<pre><code class="patch">

--- /usr/share/genkernel/defaults/initrd.scripts.orig   2011-06-27 13:51:48.000000000 +0000

+++ /usr/share/genkernel/defaults/initrd.scripts        2011-07-16 19:42:04.000000000 +0000

@@ -677,7 +677,7 @@

                        [ -d /etc/lvm/cache ] && lvm_commands="${lvm_commands} \nvgscan"

 

                        # To activate volumegroups on all devices in the cache

-                       lvm_commands="${lvm_commands} \nvgchange -ay --sysinit"

+                       lvm_commands="${lvm_commands} \nvgchange -vay --sysinit --noudevsync"

 

                        # And finally execute it all (/proc/... needed if lvm is compiled without readline)

                        good_msg "Scanning for and activating Volume Groups"

</code></pre>

Ð•Ñ‰Ðµ Ð½ÐµÐ¾Ð±Ñ…Ð¾Ð´Ð¸Ð¼Ð¾ Ð²ÐºÐ»ÑŽÑ‡Ð¸Ñ‚ÑŒ *LVM=yes* Ð² _/etc/genkernel.conf_



Ð¢Ð°ÐºÐ¶Ðµ Ð¶ÐµÐ»Ð°Ñ‚ÐµÐ»ÑŒÐ½Ð¾ Ð²ÐºÐ»ÑŽÑ‡Ð¸Ñ‚ÑŒ *MDADM=yes* 

Ð¿Ð¾Ñ•ÐºÐ¾Ð»ÑŒÐºÑƒ Ð¿Ð¾Ð´Ð´ÐµÑ€Ð¶ÐºÐ° LVM Ð±ÐµÐ· Ð¿Ð¾Ð´Ð´ÐµÑ€Ð¶ÐºÐ¸ software raid 

Ð¼Ð¾Ð¶ÐµÑ‚ Ð½ÐµÐºÐ¾Ñ‚Ð¾Ñ€Ñ‹Ð¼ Ð´Ð¾Ñ•Ñ‚Ð°Ð²Ð¸Ñ‚ÑŒ Ð½ÐµÐ¿Ð¾Ð»Ð½ÑƒÑŽ 

Ñ€Ð°Ð´Ð¾Ñ•Ñ‚ÑŒ. Ð• Ñ€Ð°Ð·Ð¼ÐµÑ€ initrd Ð¿Ñ€Ð¸ Ñ•Ñ‚Ð¾Ð¼ ÑƒÐ²ÐµÐ»Ð¸Ñ‡Ð¸Ñ‚Ñ•Ñ• 

Ñ•Ð¾Ð²Ñ•ÐµÐ¼ Ð½ÐµÐ·Ð½Ð°Ñ‡Ð¸Ñ‚ÐµÐ»ÑŒÐ½Ð¾.

History

08/01/2011 04:06 pm - Mikhail Hiretsky

- Status changed from New to Resolved

Ð˜Ñ•Ð¿Ñ€Ð°Ð²Ð»ÐµÐ½Ð¾ Ð² calckernel-3.4.15-r12. Ð¢Ð°ÐºÐ¶Ðµ Ð½Ð°Ñ‡Ð¸Ð½Ð°Ñ• Ñ• 2.2.20 Ð´Ð¾Ð±Ð°Ð²Ð»ÐµÐ½Ð° 

Ð²Ð¾Ð·Ð¼Ð¾Ð¶Ð½Ð¾Ñ•Ñ‚ÑŒ ÑƒÑ•Ñ‚Ð°Ð½Ð¾Ð²ÐºÐ¸ Ð½Ð° lvm Ñ€Ð°Ð·Ð´ÐµÐ»Ñ‹.

09/22/2011 10:38 am - Mikhail Hiretsky

- Status changed from Resolved to Closed
